#
# TODO:	- separate plugins/*
#
Summary:	A powerful GTK+3 media player
Summary(pl.UTF-8):	Potężny odtwarzacz multimediów oparty na GTK+3
Name:		exaile
Version:	4.1.3
Release:	1
# GPL v2 in COPYING; GPL v1+ in license.txt; Artistic/Perl in lib/wmainfo.py
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	https://github.com/exaile/exaile/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	cb43a90e9a0526fa455cab4628470260
URL:		https://exaile.org/
BuildRequires:	gettext-tools
BuildRequires:	help2man
BuildRequires:	python3 >= 3.6
BuildRequires:	python3-pygobject3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.000
BuildConflicts:	python3-bsddb3
Requires:	gstreamer
Requires:	gstreamer-plugins-good
Requires:	librsvg
Requires:	python3-berkeleydb
Requires:	python3-dbus
Requires:	python3-discid
Requires:	python3-feedparser
Requires:	python3-musicbrainzngs
Requires:	python3-mutagen >= 1.42.0-8
Requires:	python3-pycairo
Requires:	python3-pygobject3
Recommends:	gstreamer-plugins-bad
Recommends:	gstreamer-plugins-ugly
Recommends:	python3-pillow
Recommends:	udisks2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exaile is a media player aiming to be similar to KDE's AmaroK, but for
GTK+3. It incorporates many of the cool things from AmaroK (and other
media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed)
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%description -l pl.UTF-8
Exaile to odtwarzacz multimediów mający być podobny do AmaroKa, ale
dla GTK+3. Łączy wiele dobrych cech AmaroKa (i innych odtwarzaczy
multimediów).

Niektóre możliwości to:
- automatyczne pobieranie okładki albumu
- obsługa dużych bibliotek
- pobieranie tekstów utworów
- informacje o wykonawcy/albumie z wikipedii
- obsługa last.fm
- opcjonalna obsługa iPoda (przy zainstalowanym pakiecie python-gpod)
- wbudowana przeglądarka katalogów shoutcastów
- playlisty z zakładkami
- czarna lista ścieżek
- ściąganie tabulatur gitarowych z fretplay.com
- przesyłanie ścieżek odtworzonych na iPodzie do last.fm

%package -n bash-completion-%{name}
Summary:	Bash completion for exaile music player
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów odtwarzacza muzyki exaile
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
Bash completion for exaile.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów odtwarzacza muzyki exaile.

%package -n fish-completion-%{name}
Summary:	Fish completion for exaile music player
Summary(pl.UTF-8):	Dopełnianie parametrów w fish dla odtwarzacza muzyki exaile
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish

%description -n fish-completion-%{name}
Fish completion for exaile music player.

%description -n fish-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów w fish dla odtwarzacza muzyki exaile.

%prep
%setup -q

# useless, there are bigger correspondent locales
%{__rm} po/frp.po

%build
%{__make} \
	PREFIX=%{_prefix} \
	LIBINSTALLDIR=/%{_datadir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBINSTALLDIR=/%{_datadir}

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{cy,kk,ie,ur,zh}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_sysconfdir}/xdg/exaile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/exaile/settings.ini
%{_datadir}/%{name}
%{_datadir}/metainfo/exaile.appdata.xml
%{_datadir}/dbus-1/services/org.exaile.Exaile.service
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*x*/apps/exaile.png
%{_iconsdir}/hicolor/scalable/apps/exaile.svg
%{_mandir}/man1/exaile.1*

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}

%files -n fish-completion-%{name}
%defattr(644,root,root,755)
%{fish_compdir}/%{name}.fish
%changelog
* Thu Aug 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/exaile.git;a=log;h=master

* Thu Aug 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c7924a3
- up to 4.1.3

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b6d81ef
- rel 1

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b2a18a7
- up to 4.1.2

* Fri Feb 18 2022 Jan Rękorajski <baggins@pld-linux.org> ae182c2
- Release 3 (by relup.sh)

* Wed Feb 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 384777b
- moving python files from libdir to datadir; rel. 2

* Wed Feb 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6733076
- up to 4.1.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 727185d
- updated gettext BR

* Wed May 23 2012 Elan Ruusamäe <glen@pld-linux.org> 77e18a6
- suggest python-gpod for ipod module

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> 6e04197
- updated to 0.3.2.2
- runs, works, rel 1
- dropped obsoleted rms

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> bb2ad14
- up to 0.3.2.1
- does not run (TODO), rel 0.1

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 38697c8
- BR: which

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> d39b688
- BR: rpm-pythonprov

* Tue Oct 19 2010 lisu <lisu@pld-linux.org> 4b18d5c
- S: gstreamer-audiosink, gstreamer-mad
- rel 3

* Tue Oct 19 2010 lisu <lisu@pld-linux.org> 1b68311
- drop unsupported zh locale
- rel 2

* Tue Oct 19 2010 lisu <lisu@pld-linux.org> e3e2f4c
- %%make simplification
- BR: help2man
- clean up

* Tue Oct 19 2010 lisu <lisu@pld-linux.org> 3f3f89b
- use %%find_lang macro
- package man page

* Tue Oct 19 2010 lisu <lisu@pld-linux.org> 4e31e02
- updated to 0.3.2.0
- R: python-pygobject >= 2.26.0
- adapterized

* Thu Dec 24 2009 Zsolt Udvari <uzsolt@pld-linux.org> fd7d1a3
- LIBINSTALLDIR fix (because of x86_64)

* Thu Dec 24 2009 Zsolt Udvari <uzsolt@pld-linux.org> 9755aa9
- 0.3.0.2
- use "make install"

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 70fb30d
- release 2

